Subject: Re: bug#42708: Let users copy "*Char Help*" buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 Nov 2020 14:39:24 +0100

Juri Linkov <[email-masked]> writes:

> I tried to reproduce the original test case. i.e. to type 'C'
> (dired-do-copy) and select the "*Char Help*" buffer with C-x o.
> The result is weird: the cursor in displayed in the minibuffer,
> but the selected window is "*Char Help*".  Here's a patch to fix this:

[...]

> -    (let ((cursor-in-echo-area t)
> -          (executing-kbd-macro executing-kbd-macro)
> +    (let ((executing-kbd-macro executing-kbd-macro)

I haven't tried the patch -- does this have any other effect than fixing
the problem with the cursor in the wrong buffer?  I'm not quite clear on
what the effects of cursor-in-echo-area are...

> After looking more at 'read-char-choice', it seems that special handling
> of 'inhibit-keyboard-quit' and 'executing-kbd-macro' is not needed
> anymore?  And maybe also adding the 'minibuffer-prompt' face is not
> needed too.  Then what remains to do in 'read-char-choice' is to call
> 'read-char-from-minibuffer' and to show 'help-form-show' for 'help-char' key?

Sounds reasonable (without having looked at the code more than
cursorily).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no